L3DT users' community
Large 3D terrain generator

Plugin API changes

Important stuff.

Plugin API changes

Postby Aaron » Thu Mar 10, 2011 12:42 pm

Hi Everyone,

The forthcoming L3DT release 3.0 will include a substantially revised plugin API that will be cleaner and easier to learn, but alas will not be backwards compatible with previous versions of the API. Consequently, all plugins will need to be recompiled with the new API to work with L3DT v3.0. I have done this already for the 84-or-so plugins that are provided with the L3DT installer, and the process isn't too hard.

A preview of the new plugin API is available here (this is v2.9.6), and a tutorial is provided to explain what changes have been made and how to update a plugin to the new API. This version of the plugin API is compatible with L3DT v2.9 build 12, which I have uploaded today.

I would urge plugin developers to have a look at the new API and provide feedback on the changes if any are likely to cause problems with their plugins, compilers, etc. These changes are not set in stone, yet.

If any developer would like advice or assistance in updating their plugin, please contact aaron@bundysoft.com.

Best regards,
Aaron.

PS: I have not yet updated the reference pages for the plugin API. This will be done closer to the release of L3DT v3.0.
User avatar
Aaron
Site Admin
 
Posts: 3691
Joined: Sun Nov 20, 2005 2:41 pm
Location: Melbourne, Australia

Return to Announcements

Who is online

Users browsing this forum: MSN [Bot] and 3 guests

cron